> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/flowcoll/installation/install_helm.md).

# Deployment using Helm

For Kubernetes deployments, the NetObserv Flow collector can be deployed using Helm. The Helm chart is available in the [NetObserv Flow Helm Chart GitHub repository](https://github.com/elastiflow/helm-chart-netobserv).

### Requirements

* Helm 3.x
* Kubernetes 1.19+
* A supported version of Linux on your nodes. Packages are currently provided for and supported on the Linux distributions and versions listed in the following table.

| Distribution              | Versions             |
| ------------------------- | -------------------- |
| Ubuntu                    | 22.04 LTS, 24.04 LTS |
| Debian                    | 12                   |
| RHEL/RockyLinux/AlmaLinux | 8.x, 9.x             |

### Installation

```
helm repo add netobserv https://elastiflow.github.io/helm-chart-netobserv/
helm repo update
helm install netobserv netobserv/netobserv-flow
```

### Configuration

#### License Setup

To configure an ElastiFlow license key, you can add the following to your `values.yaml`:

```yaml
license:
  createSecret: true
```

Then make sure to use Helm's `set` option to configure the license key when installing the chart. For example:

```sh
helm install netobserv netobserv/netobserv-flow \
  --set license.licenseKey="licensekeygoeshere"
```

#### Additional Configuration

For additional Kubernetes configuration information, refer to the comments in the [default values file](https://github.com/elastiflow/helm-chart-netobserv/blob/main/charts/netobserv-flow/values.yaml).

For additional environment variable configurations, refer to the [configuration reference guide](/flowcoll/configuration.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elastiflow.com/flowcoll/installation/install_helm.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
